package cokr.xit.fims.epst.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.epst.EpostGdntc;
import cokr.xit.fims.epst.EpostQuery;
import cokr.xit.fims.epst.service.EpostGdntcService;

/**전자우편 안내문 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-12-04	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("epostGdntcService")
public class EpostGdntcServiceBean extends AbstractServiceBean implements EpostGdntcService {

	/** 전자우편 안내문 정보 Bean */
	@Resource(name = "epostGdntcBean")
	private EpostGdntcBean epostGdntcBean;

	@Override
	public List<DataObject> getEpostGdntcList(EpostQuery req) {
		return epostGdntcBean.getEpostGdntcList(req);
	}

	@Override
	public List<DataObject> getEpostGdntcs(EpostQuery req) {
		return epostGdntcBean.getEpostGdntcs(req);
	}

	@Override
	public DataObject getEpostGdntcInfo(EpostQuery req) {
		return epostGdntcBean.getEpostGdntcInfo(req);
	}

	@Override
	public String createEpostGdntc(EpostGdntc epostGdntc) {
		return epostGdntcBean.createEpostGdntc(epostGdntc);
	}

	@Override
	public String updateEpostGdntc(EpostGdntc epostGdntc) {
		return epostGdntcBean.updateEpostGdntc(epostGdntc);
	}

	@Override
	public String removeEpostGdntc(EpostGdntc epostGdntc) {
		return epostGdntcBean.removeEpostGdntc(epostGdntc);
	}

}
